Name:		libfwsi
Version:	20171103
Release:	1%{?dist}
Summary:	Library to access the Windows Shell Item format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-experimental-%{version}.tar.gz
URL:		https://github.com/libyal/libfwsi/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
          
          

%description
libfwsi is a library to access the Windows Shell Item format

%package devel
Summary:	Header files and libraries for developing applications for libfwsi
Group:		Development/Libraries
Requires:	libfwsi = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libfwsi.

%package python
Summary:	Python bindings for libfwsi
Group:		System Environment/Libraries
Requires:	libfwsi = %{version}-%{release} %(basename %{__python})
BuildRequires:	%(basename %{__python})-devel

%description python
Python bindings for libfwsi

%if 0%{?centos} != 6
%package python3
Summary: Python 3 bindings for libfwsi
Group: System Environment/Libraries
Requires: libfwsi = %{version}-%{release} python3
BuildRequires: python3-devel

%description python3
Python 3 bindings for libfwsi
%endif

%prep
%setup -q

%build
%if 0%{?centos} == 6
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%else
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python --enable-python3
%endif
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libfwsi.pc
%{_includedir}/*
%{_mandir}/man3/*

%files python
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python*/site-packages/*.a
%{_libdir}/python*/site-packages/*.la
%{_libdir}/python*/site-packages/*.so

%if 0%{?centos} != 6
%files python3
%defattr(644,root,root,755)
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Fri Nov  3 2017 Lawrence R. Rogers <lrr@cert.org> 20171103-1
- Release 20171103-1
	Version from 20171103.

* Tue Jan 17 2017 Lawrence R. Rogers <lrr@cert.org> 20170117-1
- Release 20170117-1
	Version from 20170117.

* Sun Jan 10 2016 Lawrence R. Rogers <lrr@cert.org> 20160110-1
- Release 20160110-1
	20160110
	* worked on Python 3 support

	20160106
	* 2016 update

	20151222
	* applied updates

	20150822
	* worked on setup.py

* Wed Jul  1 2015 Lawrence R. Rogers <lrr@cert.org> 20150701-2
- Release 20150701-2
	Version 20150701

* Tue Jun  2 2015 Lawrence R. Rogers <lrr@cert.org> 20141116-2
- Release 20141116-2
	Libuna GCC-5 Patch

* Sun Nov 16 2014 Lawrence R. Rogers <lrr@cert.org> 20141116-1
- Release 20141116-1
	Initial release. See https://github.com/libyal/libfwsi/wiki for details.

